Bolt has moved to boltapp.com. Stores still using bolt.com hosts must update now: see the migration guide.

Skip to content

Delete an invoice

View As MarkdownMCP
DELETE
/v1/invoices/{publicId}

Deletes a draft or voided invoice. Invoices in any other status can't be deleted.

Authorization

X-API-Key X-Publishable-Key
X-API-Key<token>

In: header

X-Publishable-Key<token>

In: header

Path Parameters

publicId*string

Public ID of the invoice.

Response Body

application/json

curl -X DELETE "https://example.com/v1/invoices/inv_9Pq3Xw7Rt2"
{  "deleted": true}